Menu icon Foundation
5.4.4 and Libsass

Hi, I need confirmation that from version 5.4.4 the only way to work with Libsass is to edit _functions.scss file and remove !global flag. Is it right?

Is there any way to provide some fallback to it so we don't have to manually edit _functions file?

I have updated my Yeoman generator :

https://github.com/juliancwirko/generator-zf5
https://www.npmjs.org/package/generator-zf5

Can you please test it and tell me if it is working for you?

Thanks!

yeomangenerator-zf5zf5libsasssass 3.4

Hi, I need confirmation that from version 5.4.4 the only way to work with Libsass is to edit _functions.scss file and remove !global flag. Is it right?

Is there any way to provide some fallback to it so we don't have to manually edit _functions file?

I have updated my Yeoman generator :

https://github.com/juliancwirko/generator-zf5
https://www.npmjs.org/package/generator-zf5

Can you please test it and tell me if it is working for you?

Thanks!

Rafi Benkual almost 5 years ago

The issue is that Libsass is not Sass 3.4 compatible.

After doing some more digging it looks like the fix to add a fake !global keyword to libsass hasn't yet made it to a stable release, so we're in something of a bind.

For now we're going to encourage libsass users to apply this fix or stay on 5.4.0, which doesn't use !global. When that fix is added to a stable version of libsass we'll have the feature parity we need for this codebase.

Rafi Benkual almost 5 years ago

We just pushed 5.4.5 which reverts Foundation back to Sass 3.3 so that you get a deprecation warning but it works with Libsass.

Otherwise you can simply remove the !global variable in line 13 of the _functions.scss file.

Julian Ćwirko almost 5 years ago

I have updated generator-zf5. It should work now with Libsass and Ruby version. There is only one problem with _global.scss whitch is imported multiple times.